<?php

use yii\db\Migration;
use yii\db\Schema;

/**
 * Class m230905_091112_add_columns_dolibarr
 */
class m230905_091112_add_columns_dolibarr extends Migration
{
    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
        $this->addColumn('producer', 'dolibarr_socid', Schema::TYPE_INTEGER);
        $this->addColumn('producer', 'dolibarr_product_id', Schema::TYPE_INTEGER);
        $this->addColumn('producer_price_range', 'dolibarr_product_id', Schema::TYPE_INTEGER);
    }

    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
        $this->dropColumn('producer', 'dolibarr_socid');
        $this->dropColumn('producer', 'dolibarr_product_id');
        $this->dropColumn('producer_price_range', 'dolibarr_product_id');
    }
}
